Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.vfs
Class CacheStrategy

    java.lang.Object
      org.apache.commons.vfs.CacheStrategy

public final class CacheStrategy
extends Object

An enumerated type to deal with the various cache strategies.

Version:
  $Revision: 480428 $ $Date: 2006-11-29 07:15:24 +0100 (Mi, 29 Nov 2006) $
Author:
  Mario Ivankovits

Field Summary
`static CacheStrategy` | `MANUAL` Deal with cached data manually.
`static CacheStrategy` | `ON_CALL` Refresh the data every time you call a method on the fileObject.
`static CacheStrategy` | `ON_RESOLVE` Refresh the data every time you request a file from `FileSystemManager.resolveFile(java.lang.String)`

Method Summary
`String` | `getName()` Returns the name of the scope.
`String` | `toString()` Returns the name of the scope.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MANUAL

    public static final CacheStrategy MANUAL

  Deal with cached data manually. Call `FileObject.refresh()` to refresh the object data.

### ON_RESOLVE

    public static final CacheStrategy ON_RESOLVE

  Refresh the data every time you request a file from `FileSystemManager.resolveFile(java.lang.String)`

### ON_CALL

    public static final CacheStrategy ON_CALL

  Refresh the data every time you call a method on the fileObject. You'll use this only if you really need the latest info as this setting is a major performance loss.

Method Detail

### toString

    public String toString()

  Returns the name of the scope.

### getName

    public String getName()

  Returns the name of the scope.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 The Apache Software Foundation. All Rights Reserved.